Edit a scheduled pricing version - Barndoor Documentation
Edit a scheduled pricing version
cURL
curl --request PUT \
--url https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input_cost_per_million_tokens": 123,
"output_cost_per_million_tokens": 123,
"effective_from": "2023-11-07T05:31:56Z",
"change_reason": "<string>",
"cache_read_cost_per_million_tokens": 123,
"cache_write_cost_per_million_tokens": 123
}
'
Python Example
import requests
url = "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}"
payload = {
"input_cost_per_million_tokens": 123,
"output_cost_per_million_tokens": 123,
"effective_from": "2023-11-07T05:31:56Z",
"change_reason": "<string>",
"cache_read_cost_per_million_tokens": 123,
"cache_write_cost_per_million_tokens": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript Example
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input_cost_per_million_tokens: 123,
output_cost_per_million_tokens: 123,
effective_from: '2023-11-07T05:31:56Z',
change_reason: '<string>',
cache_read_cost_per_million_tokens: 123,
cache_write_cost_per_million_tokens: 123
})
};
fetch('https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'input_cost_per_million_tokens' => 123,
'output_cost_per_million_tokens' => 123,
'effective_from' => '2023-11-07T05:31:56Z',
'change_reason' => '<string>',
'cache_read_cost_per_million_tokens' => 123,
'cache_write_cost_per_million_tokens' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go Example
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}"
payload := strings.NewReader("{\n \"input_cost_per_million_tokens\": 123,\n \"output_cost_per_million_tokens\": 123,\n \"effective_from\": \"2023-11-07T05:31:56Z\",\n \"change_reason\": \"<string>\",\n \"cache_read_cost_per_million_tokens\": 123,\n \"cache_write_cost_per_million_tokens\": 123\}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Example Responses
Success Response
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_pattern": "gpt-4o-mini",
"input_cost_per_million_tokens": 0.15,
"output_cost_per_million_tokens": 0.6,
"effective_from": "2023-11-07T05:31:56Z",
"is_archived": true,
"model_provider": "<string>",
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalog_slug": "<string>",
"cache_read_cost_per_million_tokens": 123,
"cache_write_cost_per_million_tokens": 123,
"change_reason": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_email": "<string>"
}
Error Response
{
"error": "BadRequest",
"message": "request_timeout_secs must be between 1 and 3600"
}